Themler with Joomla 3 and php 8.x

ingo-lammers
1 Posts
ingo-lammers posted this 24 January 2022

The current Themler templates do not run on Joomla 3 with php 8.0 or 8.1. Will there be an update for this problem?

The current Themler templates do not run on Joomla 3 with php 8.0 or 8.1. Will there be an update for this problem?
Vote to pay developers attention to this features or issue.
7 Comments
Order By: Standard | Newest
Support Team
Support Team posted this 25 January 2022

Hello,

Yes, support for Themler with PHP8 and Joomla 3 is in work. We recommend to use temporarily PHP 7.x until the update is available. Sorry for inconvenience.

Sincerely,
Nettie

Hello, Yes, support for Themler with PHP8 and Joomla 3 is in work. We recommend to use temporarily PHP 7.x until the update is available. Sorry for inconvenience. Sincerely, Nettie
jeanmarcvieux
37 Posts
jeanmarcvieux posted this 10 March 2022

Hello,
Do you have some news about joomla 3 and php 8 ?

Hello, Do you have some news about joomla 3 and php 8 ?
Support Team
Support Team posted this 14 March 2022

Hello,

Unfortunately, support for PHP 8 with Joomla 3 is still to be expected.

Sincerely,
Nettie

Hello, Unfortunately, support for PHP 8 with Joomla 3 is still to be expected. Sincerely, Nettie
bmericsson
23 Posts
bmericsson posted this 26 March 2022

Do you think its possible to upgrade maybe 200 webpages, to joomla 4, and then change PHP to version 8 or higher...?

Do you think its possible to upgrade maybe 200 webpages, to joomla 4, and then change PHP to version 8 or higher...?
Support Team
Support Team posted this 28 March 2022

Hello,

Please note that at the moment there are several known issues with Themler for Joomla 4, and until the version with the fixes is out, or until PHP 8 support for Joomla 3 is ready, we recommend to temporarily stick with Joomla 3 and PHP 7.x.
We are sorry for inconvenience.

Sincerely,
Nettie

Hello, Please note that at the moment there are several known issues with Themler for Joomla 4, and until the version with the fixes is out, or until PHP 8 support for Joomla 3 is ready, we recommend to temporarily stick with Joomla 3 and PHP 7.x. We are sorry for inconvenience. Sincerely, Nettie
bmericsson
23 Posts
bmericsson posted this 21 April 2022

Hi Themler,

You must understand that many of us are worried that you can not give a clearer message. Will you update so that it works with PHP 8, before November 28?

Yes, of course I'm very worried that my websites created in Themler will not work after November 28th. What will my customers say? Should I renovate two hundred websites for free? Please give us an approximate date when Themler will work with PHP8

Hi Themler, You must understand that many of us are worried that you can not give a clearer message. Will you update so that it works with PHP 8, before November 28? Yes, of course I'm very worried that my websites created in Themler will not work after November 28th. What will my customers say? Should I renovate two hundred websites for free? Please give us an approximate date when Themler will work with PHP8
AKSearch
10 Posts
AKSearch posted this 28 April 2022

Hi Themler,

You must understand that many of us are worried that you can not give a clearer message. Will you update so that it works with PHP 8, before November 28?

Yes, of course I'm very worried that my websites created in Themler will not work after November 28th. What will my customers say? Should I renovate two hundred websites for free? Please give us an approximate date when Themler will work with PHP8

We are in the same situation. I still hope Themler will eventually will release php 8 compatible versions, but their lack of communication and the amount of time that has past with no updates or timeline makes it look less likely.

Themler's lack of clear communication forced me to find and learn alternatives (I can't list them here, but there are some good ones out there). All new sites are now being built on other platforms and I have started rebuilding existing sites in other platforms. I have over 30 Themler sites, so it is going to be a lot of work. For many sites built in the past year or two, I am doing the rebuilds for free since it is not really fair to charge for Themler's incompetence.

> Hi Themler, > > You must understand that many of us are worried that you can not give a clearer message. Will you update so that it works with PHP 8, before November 28? > > Yes, of course I'm very worried that my websites created in Themler will not work after November 28th. What will my customers say? Should I renovate two hundred websites for free? Please give us an approximate date when Themler will work with PHP8 We are in the same situation. I still hope Themler will eventually will release php 8 compatible versions, but their lack of communication and the amount of time that has past with no updates or timeline makes it look less likely. Themler's lack of clear communication forced me to find and learn alternatives (I can't list them here, but there are some good ones out there). All new sites are now being built on other platforms and I have started rebuilding existing sites in other platforms. I have over 30 Themler sites, so it is going to be a lot of work. For many sites built in the past year or two, I am doing the rebuilds for free since it is not really fair to charge for Themler's incompetence.
You must log in or register to leave comments